Package org.apache.sling.discovery.base.connectors.announcement

# Interface AnnouncementFilter

public interface AnnouncementFilter
Filter used during announcement processing internally

## Method Summary

Modifier and Type
Method
Description
`boolean`
`accept(String receivingSlingId, Announcement announcement)`
Check if the provided announcement, which was received by the provided slingId can be accepted or not.

## Method Details

### accept

boolean accept(String receivingSlingId, Announcement announcement)
Check if the provided announcement, which was received by the provided slingId can be accepted or not.